<template>
  <div class="container tab-content">
    <div class="title">
      <h3>熱門遊戲</h3>
      <p>top games</p>
    </div>
    <div class="swiper-container gametab-swiper">
      <div class="tab-bar">
        <div class="swiper-pagination tab-title"></div>
      </div>
      <div class="swiper-wrapper">
        <div class="swiper-slide" v-for="group in groups">
          <div class="tab-inner">
            <div class="left">
              <div class="game-text">
                <h2 :data-heading="group.Title">{{ group.Title }}</h2>
                <p>{{ group.Description }}</p>
                <p>{{ group.Description2 }}</p>
              </div>
              <div class="game-item">
                <a v-for="game in group.Item" href="javascript:;" @click="enterGame(group, game)" class="game-btn">
                  <img :src="game.Logo" alt="">
                  <p>{{ game.Name }}</p>
                </a>
              </div>
            </div>
            <div class="right">
              <div :class="group.Class" class="group_img"></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  $(function() {
    $(".game-btn").click(function(){
      $(".game-btn").removeClass("active");
      $(this).addClass("active")
    })
  })
  module.exports = {
    data() {
      return {
        groups: [
          {
            TabName: "真人",
            Title: "Live Casino",
            Class: "Live",
            Description: "線上真人百家樂將賭場的刺激帶到了玩家的指尖，讓玩家們可以隨時隨地享受到逼真的賭場體驗。透過真人視訊，玩家可以在家中或任何舒適的環境中享受到賭場的娛樂，這種遊戲模式也提供了更大的透明度和信任度，玩家可以實時觀察莊家的動作和牌局結果，確保遊戲的公平性。並且『百家樂』也因為是莊家優勢最低的博弈遊戲，被評價為最公平、公正的博弈遊戲，所有玩家可以依靠百家樂牌路、各種百家樂技巧、百家樂破解方式，來靠百家樂賺錢，是一個能讓玩家一夜致富的遊戲。",
            Description2: "JY娛樂城提供了八大真人視訊遊戲品牌：「DG真人百家樂」、「AB真人百家樂」、「PM真人百家樂」、「WM真人百家樂」、「鴻鑫真人百家樂」、「OG真人百家樂」、「YB真人百家樂」等國際知名且公平穩定的遊戲品牌。",
            Href: "./live",
            Item: [
              {
                Name: "DG真人",
                Logo: `/tpl/${theme}/assets/images/vendor/DG.png`,
                Hallid: 'DG',
              },
              {
                Name: "AB真人",
                Logo: `/tpl/${theme}/assets/images/vendor/AB.png`,
                Hallid: "AB",
              },
              {
                Name: "DB真人",
                Logo: `/tpl/${theme}/assets/images/vendor/DBLive.png`,
                Hallid: 'OBLive',
              },
              {
                Name: "WM真人",
                Logo: `/tpl/${theme}/assets/images/vendor/WM.png`,
                Hallid: "WM",
              },
            ]
          },
          {
            TabName: "體育",
            Title: "Sports",
            Class: "Sport",
            Description: "JY娛樂城每天為您提供近千場精彩體育賽事，玩家可以在比賽中預測結果，例如猜測勝利隊伍、比分、進球數量等。玩家可以根據個人判斷、資訊分析和運氣來下注，並希望贏得投注金額的回報。JY娛樂城提供實時的比賽資訊、賠率、統計數據和分析，以幫助玩家做出更明智的投注決策。",
            Description2: "我們使用所使用體育平台為SUPER體育、PM體育、鑫寶體育、平博體育，全都是市面上最有公信力最穩定的博弈平台，並且都擁有合法的博弈執照CEZA政府官方執照(都由菲律賓政府頒發)，因此擁有全台灣最公信力以及安全信的娛樂平台可以讓玩家們安心遊玩。",
            Href: "./sport",
            Item: [
              {
                Name: "SUPER體育",
                Logo: `/tpl/${theme}/assets/images/vendor/SUPER.png`,
                Hallid: "SuperV2",
              },
              {
                Name: "鑫寶體育",
                Logo: `/tpl/${theme}/assets/images/vendor/SXB.png`,
                Hallid: "WGSport",
              },
              {
                Name: "熊貓體育",
                Logo: `/tpl/${theme}/assets/images/vendor/Panda.png`,
                Hallid: "PASport",
              },
              {
                Name: "平博體育",
                Logo: `/tpl/${theme}/assets/images/vendor/PB.png`,
                Hallid: "PBSport",
              },
            ]
          },
          {
            TabName: "電子",
            Title: "Slot Game",
            Class: "Slot",
            Description: "3D電子遊戲，賭場中最引人注目的線上賭博遊戲之一，它模擬了傳統的實體老虎機遊戲，讓玩家可以在網絡上享受老虎機的樂趣和刺激。你無需費心制定複雜的策略，只需要將符號排列成特定的組合，就能夠將獎金收入囊中。",
            Description2: "JY娛樂城有別於其他一般的台灣娛樂城，提供爆分率相對較高的「GR電子」、「RSG電子」、「QT電子」、「BNG電子」、「CG電子」、「斑馬電子」、「PM電子」等高達10種電子館別，公平且穩定的電子遊戲知名品牌，讓玩家盡情遊玩！畢竟玩線上老虎機的樂趣，就是進FREE GAME享受爆分的瞬間，尤其是RSG電子的雷神之鎚，超甜的爆分率更是廣受國內老虎機玩家的一致好評！",
            Href: "./slot",
            Item: [
              {
                Name: "好路電子",
                Logo: `/tpl/${theme}/assets/images/vendor/GR.png`,
                Eid: "GR",
              },
              {
                Name: "RSG電子",
                Logo: `/tpl/${theme}/assets/images/vendor/RSG.png`,
                Eid: "RSG",
              },
              {
                Name: "QT電子",
                Logo: `/tpl/${theme}/assets/images/vendor/QT.png`,
                Hallid: "QT",
              },
              {
                Name: "BNG電子",
                Logo: `/tpl/${theme}/assets/images/vendor/BNG.png`,
                Eid: "BNG",
              },
              {
                Name: "斑馬電子",
                Logo: `/tpl/${theme}/assets/images/vendor/ZB.png`,
                Hallid: "DS",
              },
            ]
          },
          {
            TabName: "彩票",
            Title: "Lottery",
            Class: "Lottery",
            Description: "彩票彩球是一種模擬傳統彩票的玩法的網絡遊戲，玩家可以在線上平台上選擇自己喜歡的彩票遊戲，並選擇號碼或使用隨機生成器選取號碼。遊戲中，玩家可根據所選號碼進行下注，開獎結果是由隨機數字產生器生成的號碼組合，符合所選號碼的玩家將獲得獎金或獎項。玩家可以方便地參與彩票遊戲，不需親自到彩票店購買彩票，並可在任何時間和地點參與遊戲。此外，線上彩票平台通常提供各種促銷活動和獎金，增加了玩家的娛樂價值和機會。",
            Description2: "JY娛樂城中還包含了 『六合彩』、『今彩539』、『大樂透』、『三星彩』、『四星彩』、『天天樂』和『賓果』等這些都是台灣彩劵行所有彩票遊戲，我們還包含了大陸的北京賽車，香港的六合彩、賽馬，除了政府本身發行的投注類型外，還有其他各種彩票遊戲投注方式，提供更多豐富多元的投注組合，讓玩家可以自由選擇玩法單雙、大小、串關等玩法。",
            Href: "./lottery",
            Item: [
              {
                Name: "9K彩票",
                Logo: `/tpl/${theme}/assets/images/vendor/9K.png`,
                Hallid: "9K",
              },
              {
                Name: "SP彩球",
                Logo: `/tpl/${theme}/assets/images/vendor/SUPER.png`,
                Hallid: "SuperCP",
              },
              {
                Name: "贏家彩票",
                Logo: `/tpl/${theme}/assets/images/vendor/WG.png`,
                Hallid: "WGLottery",
              },
            ]
          },
          {
            TabName: "棋牌",
            Title: "Chess",
            Class: "Chess",
            Description: "棋牌遊戲以傳統棋牌遊戲為基礎，在網絡平台上進行的遊戲形式，提供各種各樣的棋牌遊戲，例如撲克、麻將、鬥地主、五子棋、象棋等等。只需要一部電腦或行動裝置和穩定的網絡連接即可隨時隨地進行遊戲。",
            Description2: "JY娛樂城棋牌遊戲都是保證上萬真人玩家同時線上博弈，也是最具有最公平性的品牌：好路棋牌、PM棋牌，包你發棋牌這都是國內外玩家推薦的棋牌博弈遊戲、不只遊戲種類多，玩法也更多真人玩家線上即時對戰，絕對公平公正，並有防IP跟最佳的防夥牌機制，讓你安全遊戲又不用擔心別別人夥牌的問題！",
            Href: "./card",
            Item: [
              {
                Name: "包你發棋牌",
                Logo: `/tpl/${theme}/assets/images/vendor/BLF.png`,
                Hallid: "BLF",
              },
              {
                Name: "幸運棋牌",
                Logo: `/tpl/${theme}/assets/images/vendor/LG.png`,
                Hallid: "LG",
              },
              {
                Name: "好路棋牌",
                Logo: `/tpl/${theme}/assets/images/vendor/GR.png`,
                Eid: "GR",
              },
              {
                Name: "老虎城棋牌",
                Logo: `/tpl/${theme}/assets/images/vendor/TIGER.png`,
                Hallid: "XGD",
              },
              {
                Name: "百勝棋牌",
                Logo: `/tpl/${theme}/assets/images/vendor/BSP.png`,
                Hallid: "BSP",
              }
            ]
          },
          {
            TabName: "捕魚",
            Title: "Fish Game",
            Class: "Fish",
            Description: "玩家可透過操作電腦或行動裝置，模擬捕魚體驗。在海洋或水下場景中，使用武器射擊、捕捉不同魚類，獲得分數或獎勵。遊戲有多樣魚種、場景，還可與其他玩家競爭或合作。提供多樣投注和獎勵，解鎖關卡、升級武器。",
            Description2: "JY娛樂城的捕魚機遊戲：GR好路捕魚、QT捕魚王、幸運棋牌捕魚、SP捕魚，都是市面上賠率最高，玩家遊戲體驗度最完美的捕魚機台。",
            Href: "./fishing",
            Item: [
              {
                Name: "QT捕魚機",
                Logo: `/tpl/${theme}/assets/images/vendor/QT.png`,
                Hallid: 'QT',
                GameID: "RTG-fishcatch"
              },
              {
                Name: "SP捕魚機",
                Logo: `/tpl/${theme}/assets/images/vendor/SP.png`,
                Eid:'SP'
              },
              {
                Name: "幸運棋牌捕魚機",
                Logo: `/tpl/${theme}/assets/images/vendor/LG.png`,
                Eid: 'LG',
              },
              {
                Name: "好路捕魚機",
                Logo: `/tpl/${theme}/assets/images/vendor/GR.png`,
                Eid:'GR'
              },
            ]
          }
        ]
      };
    },
    mounted() {
      this.init()
    },
    methods: {
      init() {
        let vue = this;
        var swiper = new Swiper(".gametab-swiper", {
            slidesPerView: 1,
            effect: "fade",
            fade: {
              crossFade: true
            },
            shortSwipes: false,
            pagination: {
              el: ".swiper-pagination",
              clickable: true,
              renderBullet: function (index, className) {
                return `<div class="${className}" data-tab="${vue.groups[index].TabName}">${vue.groups[index].TabName}</div>`;
              }
            }
        });
      },
      openModal(Name, Hallid, Gameid) {
        if (isLogin) {
          $("body").addClass("hide");
          $("#Transfer").show();
          setTimeout(function() {
            $(`#Transfer .modal>div`).addClass("active");
          }, 5)
          this.$emit('update',Name,Hallid, Gameid)
          this.$emit('position','Transfer')
        } else {
          annType ? location.href = "./login" : Swal.fire("請先登入", "", "error");
        }
      },
      enterGame(group, game) {
        if (!isLogin) {
          annType ? location.href = "./login" : Swal.fire("請先登入", "", "error");
          return false;
        }

        if (game.Hallid) {
          this.openModal(game.Name, game.Hallid, game.GameID)
        } else {
          location.href = group.Href ? `${group.Href}?c=${game.Eid}` : game.Href
        }
      }
    },
  };
</script>